View Issue Details

IDProjectCategoryView StatusLast Update
0002110SymmetricDSBugpublic2014-12-26 08:37
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.16 
Target Version3.6.17Fixed in Version3.6.17 
Summary0002110: On firebird ddl fails if table column switches from NOT NULL to NULLABLE
DescriptionRun this sql to perform the DDL switch

update RDB$RELATION_FIELDS set
RDB$NULL_FLAG = 0
where (RDB$FIELD_NAME = 'CREATED_AT_NODE_ID') and
(RDB$RELATION_NAME = 'SYM_NODE_SECURITY');
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 431cf13f

2014-12-23 09:27:13

chenson

Details Diff
0002110: On firebird ddl fails if table column switches from NOT NULL to NULLABLE
0002110
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File

SymmetricDS: master 9135a306

2014-12-23 09:35:23

chenson

Details Diff
0002110: On firebird ddl fails if table column switches from NOT NULL to NULLABLE
0002110
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2014-12-22 11:16 chenson New Issue
2014-12-22 11:16 chenson Status new => assigned
2014-12-22 11:16 chenson Assigned To => chenson
2014-12-23 09:35 chenson Status assigned => resolved
2014-12-23 09:35 chenson Fixed in Version => 3.6.17
2014-12-23 09:35 chenson Resolution open => fixed
2014-12-23 10:00 chenson Changeset attached => SymmetricDS 3.6 r9105
2014-12-23 10:00 chenson Changeset attached => SymmetricDS trunk r9106
2014-12-23 10:00 chenson Changeset attached => SymmetricDS trunk r9107
2014-12-23 10:00 chenson Changeset attached => SymmetricDS 3.6 r9108
2014-12-26 08:37 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9135a306
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 431cf13f